
QGIS Application - Bug report #20354

QGIS 3.4 poligoniser

2018-11-04 12:30 AM - Klaus Hinkeldein

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.4.0 Regression?: No

Operating System: Xubuntu 18.04 Bionic Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28175

Description

I try to convert georef tif file in polygone shap file and get this message.

/bin/sh: 1: gdal_polygonize.py: not found

(Sorry, most of info is in French.)

Traitement de l'algorithme…

Démarrage de l'algorithme 'Polygoniser (Raster vers Vecteur)'…

Input parameters:{ 'BAND' : 3, 'EIGHT_CONNECTEDNESS' : True, 'FIELD' : 'DN', 'INPUT' :

'/home/tec/Documents/QGISdata/ADN_Avignon_DAB2018b/GeoTif/AviTw1kWdip0degrBleu67a200dB_georef.tif', 'OUTPUT' :

'/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp' }

GDAL command:

gdal_polygonize.py /home/tec/Documents/QGISdata/ADN_Avignon_DAB2018b/GeoTif/AviTw1kWdip0degrBleu67a200dB_georef.tif

/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp -8 -b 3 -f "ESRI

Shapefile" None DN

GDAL command output:

/bin/sh: 1: gdal_polygonize.py: not found

Execution completed in 0.09 seconds

Results:{'OUTPUT': <QgsProcessingOutputLayerDefinition

{'sink':/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp, 'createOptions':

{'fileEncoding': 'System'}}>}

Chargement des couches de résultat

Les couches suivantes n'ont pas été générées

correctement.<ul><li>/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp</li></ul>Vous pouvez vérifier le Panel de messages 

></ul>Vous pouvez vérifier le Panel de messages du journal dans la fenêtre principale de QGIS pour trouver plus d'informations à propos

de l'exécution de l'algorithme.

History

#1 - 2018-11-04 12:33 AM - Klaus Hinkeldein

I try to convert georef tif file in polygone shap file and get this message.

/bin/sh: 1: gdal_polygonize.py: not found

(Sorry, most of info is in French.)

Traitement de l'algorithme…

Démarrage de l'algorithme 'Polygoniser (Raster vers Vecteur)'…

Input parameters: { 'BAND' : 3, 'EIGHT_CONNECTEDNESS' : True, 'FIELD' : 'DN', 'INPUT' :
'/home/tec/Documents/QGISdata/ADN_Avignon_DAB2018b/GeoTif/AviTw1kWdip0degrBleu67a200dB_georef.tif', 'OUTPUT' :

'/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp' }

GDAL command:

gdal_polygonize.py /home/tec/Documents/QGISdata/ADN_Avignon_DAB2018b/GeoTif/AviTw1kWdip0degrBleu67a200dB_georef.tif

/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp -8 -b 3 -f "ESRI Shapefile" None DN

GDAL command output:

/bin/sh: 1: gdal_polygonize.py: not found

What can I do to polygonise my raster file

Execution completed in 0.09 seconds

Results: {'OUTPUT': <QgsProcessingOutputLayerDefinition

{'sink':/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp, 'createOptions': {'fileEncoding':

'System'}}>}

Chargement des couches de résultat

Les couches suivantes n'ont pas été générées

correctement.<ul><li>/tmp/processing_1d24d8dfdebf4f1db81ac21e03ba72f7/cb87c1bca7584b3db1889a0ac6638c21/OUTPUT.shp</li></ul>Vous

pouvez vérifier le Panel de messages du journal dans la fenêtre principale de QGIS pour trouver plus d'informations à propos de l'exécution de

l'algorithme.

#2 - 2018-11-04 11:20 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from Yes to No

- Assignee deleted (Klaus Hinkeldein)

- Status changed from Open to Feedback

I'm on 18.04 too and here the tool work fine. Any chance you have an old version of Processing masking the one shipped with 3.4? try with a new/clean

profile.

#3 - 2018-11-04 11:20 PM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#4 - 2018-12-24 09:11 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Closed for the lack of feedback. Please reopen if necessary. Also please make sure that all required GDAL packages are installed on your system.
